### Method

# Gtk.IconPaintable.get_file

#### Declaration [src]

    GFile*
    gtk_icon_paintable_get_file (
      GtkIconPaintable* self
    )

#### Description [src]

Gets the `GFile` that was used to load the icon.

Returns `NULL` if the icon was not loaded from a file.

Gets property | `Gtk.IconPaintable:file`

#### Return value

Returns: `GFile*`
the `GFile` for the icon, or `NULL`. Free with `g_object_unref()`.
Ownership of the data is transferred to the caller
Can be `NULL`